Skip to main content

Submit Account Verification

This endpoint initiates the account verification process for credit card services by accepting terms and conditions and generating a verification link for document upload.

Technical Details​

  • Status Change: Submitting verification changes the account status from pending to in_review.
  • The account must be in pending or needs_update status to submit verification.
  • Returns a verification link where the user can upload required documents.
Authorization:

bearer

HTTP: bearer

HTTP Authorization Scheme: bearer

Headers:
Authorization: APIKey {YOUR_API_KEY}

Endpoint

POST

/api/v2/kyc/card-verification

Request Body Sample​

{
"accountId": "00000000-0000-0000-0000-000000000000",
"dateOfBirth": "1990-05-15",
"phone": "+1234567890",
"nationality": "US",
"address": {
"address1": "123 Main St",
"address2": "Apt 4B",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "US"
}
}

Request Body Schema​

FieldTypeDescription
accountIdstring (uuid)Required. The account ID to verify.
dateOfBirthstringRequired. Date of birth in ISO 8601 format (YYYY-MM-DD). ISO 8601. Example: 2021-12-31.
phonestringRequired. Phone number in E.164 format. E.164. Example: +1234567890.
nationalitystringRequired. Nationality code in ISO 3166-1 alpha-2 format. Example: US.
addressobjectRequired. Address information.
address.address1stringRequired. Primary address line. Max 255 characters. Example: 123 Main St.
address.address2stringOptional. Secondary address line. Max 255 characters. Example: Apt 123.
address.citystringRequired. City name. Max 100 characters. Example: New York.
address.statestringRequired. State code in ISO 3166-2 format. ISO 3166-2. Max 100 characters. Example: NY.
address.postalCodestringRequired. Postal or ZIP code. Example: 10001.
address.countrystringRequired. Country code in ISO 3166-1 alpha-2 format. Example: US.

Response Sample​

{
"accountId": "00000000-0000-0000-0000-000000000000",
"verificationLink": "https://verify.blockwyre.com/v/abc123def456"
}

Response Schema​

FieldTypeDescription
accountIdstring (uuid)The account ID.
verificationLinkstring (url)Unique verification link where the user can upload required documents and complete the verification process.

Support and Resources​

If you need assistance or have any questions, our support team is here to help. You can contact our support team at support@blockwyre.com.

Stay Updated​

Stay up-to-date with the latest news, updates, and features from BlockWyre by following us on social media:

We are excited to have you on board and look forward to seeing how you leverage BlockWyre's powerful tools to enhance your financial operations. Happy integrating!